Create Brand API: Video Summary Whitelabel Page

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body

Parameter NameParameter TypeDescription
nameText (Required)Name of the Brand.
descriptionText (Optional)Brand Description
colorObjectColor object shall contain the primary color details of your brand.
fontObjectFont Object shall contain the font details about your brand.
buttonObjectButton object contains the customization of the Edit page.
//Sample request Object
{
    "name": "My App Branding",
    "description": "My Brand Description",
    "color": {
        "primary": {
            "main": "#BA0E1C",
            "light": "#F2F2F2",
            "contrastText": "#F9F9F9"
        }
    },
    "font": {
  "family": "Party Confetti",
  "format": "truetype",
  "url": "https://pictory-static.pictorycontent.com/static/fonts/Party_Confetti/Party_Confetti.ttf"
 },
  "button":{
        "notificationBell":{
            "visible": true
        },
        "downloadVideo":{
            "visible": true
        }
  }
}

Brand Color

Parameter NameParameter TypeDescription
mainText (Required)The main color of your brand. Acceptable value: Hex-Code
lightText (Required)The lighter shade of your brand color.
Acceptable value: Hex-Code.
e.g.: #FFFFFF
contrastTextText (Required)Contrast Text color to be used with your main brand color.
Acceptable value: Hex-Code.
e.g.: #FFFFFF
darkText (Required)Darker Shade of your brand color.
Acceptable value: Hex-Code.
e.g.: #FFFFFF
//e.g. Brand Color Object
color": {
        "primary": {
            "main": "#BA0E1C",
            "light": "#F2F2F2",
            "contrastText": "#F9F9F9",
            "dark": "BA0E1C"
        }
    }

Brand Font

Parameter NameParameter TypeDescription
familyText (Required)Name of the Font. e.g. Arial, Calibri. The supported Font list is mentioned here.
urlText (Optional)Provide the url of the font (In case the Pictory does not support your brand font)
formatChoice (Optional)Type of the font. Pass this value only if you are providing custom font url
e.g: truetype
//e.g Font Object

"font": {
  "family": "Party Confetti",
  "format": "truetype",
  "url": "https://pictory-static.pictorycontent.com/static/fonts/Party_Confetti/Party_Confetti.ttf"
 }

Customize Buttons on the Video Summary Page

//e.g Button Object
"button": {
      "downloadVideo": {
        "visible": true
      },
      "notificationBell": {
        "visible": false
      },
      "autoHighlight": {
        "visible": true
      }
    },
    "contextMenu": {
      "downloadVideo": {
        "visible": false,
      },
    },
    "tab": {
      "highlight": {
        "label": "My Selected Clips"
      }
    }
Body Params
color
object
fonts
object
string

Name of the Brand

string

Description of Brand

Headers
string

Access Token obtained from Authentication API

string

End User Identification in 3rd party (your) system. This can be used to identify 3rd party user data in Pictory system and come handy when 3rd Party System want to refer user’s data within Pictory.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json